package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasEduClassroom implements Serializable {
    private Integer id;

    /**
     * 教室名
     *
     * @mbg.generated
     */
    @Schema(description = "教室名")
    private String name;

    /**
     * 教室负责人ID
     *
     * @mbg.generated
     */
    @Schema(description = "教室负责人ID")
    private Integer managerId;

    /**
     * 教室所在地址
     *
     * @mbg.generated
     */
    @Schema(description = "教室所在地址")
    private String address;

    /**
     * 教室负责人
     *
     * @mbg.generated
     */
    @Schema(description = "教室负责人")
    private String manager;

    /**
     * 教室所在楼层
     *
     * @mbg.generated
     */
    @Schema(description = "教室所在楼层")
    private Integer floor;

    /**
     * 教室的容量
     *
     * @mbg.generated
     */
    @Schema(description = "教室的容量")
    private Integer capacity;

    /**
     * 备注信息
     *
     * @mbg.generated
     */
    @Schema(description = "备注信息")
    private String comment;

    /**
     * 是否禁用
     *
     * @mbg.generated
     */
    @Schema(description = "是否禁用")
    private String disabled;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getManagerId() {
        return managerId;
    }

    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager == null ? null : manager.trim();
    }

    public Integer getFloor() {
        return floor;
    }

    public void setFloor(Integer floor) {
        this.floor = floor;
    }

    public Integer getCapacity() {
        return capacity;
    }

    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }

    public String getDisabled() {
        return disabled;
    }

    public void setDisabled(String disabled) {
        this.disabled = disabled == null ? null : disabled.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", managerId=").append(managerId);
        sb.append(", address=").append(address);
        sb.append(", manager=").append(manager);
        sb.append(", floor=").append(floor);
        sb.append(", capacity=").append(capacity);
        sb.append(", comment=").append(comment);
        sb.append(", disabled=").append(disabled);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}